RGE(4)

NAME
rge - Realtek 8125/8125B/8126/8127 PCI Express 10/100/1Gb/2.5Gb/5Gb/10Gb Ethernet device

SYNOPSIS
rge* at pci?

DESCRIPTION
The rge driver provides support for NICs based on the Realtek RTL8125, RTL8126, and RTL8127 PCI Express Ethernet controllers, including the following:

•   IOCrest IO-PCE8126-GLAN Adapter (5000baseT)
•   WisdPi WP-NA5000 Adapter (5000baseT)
•   Realtek 8125/8125B 2.5GbE Adapter (2500baseT)
•   Realtek 8126 5GbE Controller (5000baseT)
•   Rivet Networks Killer E3000 Adapter (2500baseT)
•   TP-LINK TL-NG421 Adapter (2500baseT)

NICs based on the 8125 and 8125B are capable of 10, 100, 1000 and 2500Mbps operation. NICs based on the 8126 are also capable of 5000Mbps operation, while NICs based on the 8127 are additionally capable of 10000Mbps operation. All NICs support off-loading of checksum calculations for IPv4, TCPv4, and UDPv4, but not for xxxv6.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig(8)

CAVEATS
The rge driver support for the RTL8127 chip should be considered experimental.

HISTORY
The rge driver first appeared in OpenBSD 6.6 and in NetBSD 10.0.

AUTHORS
-nosplit The rge driver was written by Kevin Lo <kevlo@openbsd.org>, and was initially ported to NetBSD by Sevan Janiyan. The current version was updated by Paul Goyette <pgoyette@netbsd.org> to synch with changes from OpenBSD.